<?php
ini_set('display_errors', 0);
require_once './Control/ControlArtigo.php';
require_once './Control/ControlFoto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
//var_dump($_POST);
if (!isset($lang))
{
	$lang = 'pt';
} else 
{
	if ($lang == 'undefined')
	{
		$lang = 'pt';
	}
}
$controlArtigo = new ControlArtigo();
if ($acao == 'inserir')
{
        echo 'Novo Registro...';
        $pk = '';
	$artigoTipo = new Artigotipo();
        $artigoTipo->setHabilitado(1);
} else
{
	$artigoTipo = $controlArtigo->pegarUmArtigotipo($pk);
}
$artigoTipo->lang = $lang;
$arquivoGrid = 'adm_artigoTipoGrid.php';
?>
<form name="frm" id="frm" action="adm_artigoTipoCMD.php" method="post">
    <input id="hacao" name="acao" type="hidden" value="<?php echo $acao?>">
    <input id="lang" name="lang" type="hidden" value="<?php echo $lang?>">
    <input id="arqFrm" name="arqFrm" type="hidden" value="<?php echo end(explode("/", $_SERVER['PHP_SELF']))?>">
	<fieldset>
		<label>Tipo de Artigo</label>
                <?php echo Idiomas::ComboSelecionarIdiomaPainelControle($acao, $pk, $lang);?>
		<section><label for="pk">ID</label>
                    <div><input  readonly="true" type="text" id="pk" name="pk" value="<?php echo $artigoTipo->getArtigotipoid(); ?>" placeholder="Este campo é gerido de forma automática."></div>
		</section>
                <section><label for="txtTitulo">Nome</label>
                    <div><input type="text" id="txtNome" name="txtNome" required value="<?php echo $artigoTipo->gNome(); ?>"></div>
		</section>
                <section><label for="cbHabilitado">Visível ao público:</label>
                    <div>					
                        <select name="cbHabilitado" id="cbArtigoTipoID">
                            <optgroup label="Habilitado">
                                <?php echo Utilidades::formSeletorBoleano('cbHabilitado',$artigoTipo->getHabilitado())?>
                            </optgroup>
                        </select>
                    </div>
		</section>
                <section>
                    <div><button onclick="mostrarArquivo('<?php echo $arquivoGrid; ?>','#dados');" >Cancelar</button><button id="salvar" class="submit" name="submitbuttonname" value="submitbuttonvalue">Salvar</button></div>
		</section>
	</fieldset>
</form>
<?php
      FormAjax::javascriptTrocarIdioma('adm_artigoTipoForm.php');
      FormAjax::PrepararFormAjax('#frm');
?>